std::suspend_always(3)

NAME
std::suspend_always - std::suspend_always

Synopsis
   Defined in header <coroutine>
   struct suspend_always; (since C++20)
   suspend_always is an empty class which can be used to indicate that an await
   expression always suspends and does not produce a value.

Member functions
   await_ready indicates that an await expression always suspends
   (C++20) (public member function)
   await_suspend no-op
   (C++20) (public member function)
   await_resume no-op
   (C++20) (public member function) std::suspend_always::await_ready
   constexpr bool await_ready() const noexcept { return false; } (since C++20)
   Always returns false, indicating that an await expression always suspends. std::suspend_always::await_suspend
   constexpr void await_suspend(std::coroutine_handle<>) const noexcept (since C++20)
   {}
   Does nothing. std::suspend_always::await_resume
   constexpr void await_resume() const noexcept {} (since C++20)
   Does nothing. An await expression does not produce a value if suspend_always is
   used.

Example
    This section is incomplete
    Reason: no example

See also
   suspend_never indicates that an await-expression should never suspend
   (C++20) (class)